Bug 20929 - rhn_check fails with action version mismatch
Summary: rhn_check fails with action version mismatch
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-15 22:10 UTC by Richard Henderson
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 20:07:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Henderson 2000-11-15 22:10:28 UTC
I checked "queue for download" on the errata on the rhn site, then
periodically checked logs to see if stuff happened correctly.  No dice:

Nov 11 09:58:34 tigger rhnsd[685]: command returned: Got unknown action
version 
1 {'version': '1', 'id': 'Action-00009', 'action': "<?xml
version='1.0'?>\012<me
thodCall>\012<methodName>client.update_packages</methodName>\012<params>\012<par
am>\012<value><array><data>\012<value><array><data>\012<value><string>LPRng</str
ing></value>\012<value><string>3.6.24</string></value>\012<value><string>2</stri
ng></value>\012<value><string></string></value>\012</data></array></value>\012</
data></array></value>\012</param>\012</params>\012\012</methodCall>\012"}

Looking in /usr/sbin/rhn_check I see

# action version we understand
ACTION_VERSION = 0
 
There is no errata upgrade for the up2date rpm, and even if there
were we wouldn't be able to auto-upgrade.  Clearly the protocol
version must be decided on via handshake, or via client-side request.
It makes no sense for server-side to decide the protocol version since
that is absolutely guaranteed to cause a client-side failure at some point.

Comment 1 Tim Waugh 2001-01-25 10:14:19 UTC
You should find that the errata'd up2date for 7.0 (2.1.7-1) works.


Note You need to log in before you can comment on or make changes to this bug.